Loading...
Searching...
No Matches
RDKit::v2::CDXMLParser::CDXMLParserParams Struct Reference

`#include <CDXMLParser.h>`

## Public Member Functions

| CDXMLParserParams ()=default
| CDXMLParserParams (bool sanitize, bool removeHs, CDXMLFormat format)

## Public Attributes

bool | sanitize = true
bool | removeHs = true
CDXMLFormat | format = CDXMLFormat::Auto

## Detailed Description

Definition at line 33 of file CDXMLParser.h.

## Constructor & Destructor Documentation

## CDXMLParserParams() [1/2]

RDKit::v2::CDXMLParser::CDXMLParserParams::CDXMLParserParams | ( |  | ) |

default

## CDXMLParserParams() [2/2]

RDKit::v2::CDXMLParser::CDXMLParserParams::CDXMLParserParams | ( | bool | sanitize,
|  | bool | removeHs,
|  | CDXMLFormat | format )

inline

Definition at line 39 of file CDXMLParser.h.

References format, removeHs, and sanitize.

## Member Data Documentation

## format

CDXMLFormat RDKit::v2::CDXMLParser::CDXMLParserParams::format = CDXMLFormat::Auto

Definition at line 36 of file CDXMLParser.h.

Referenced by CDXMLParserParams().

## removeHs

bool RDKit::v2::CDXMLParser::CDXMLParserParams::removeHs = true

Definition at line 35 of file CDXMLParser.h.

Referenced by CDXMLParserParams().

## sanitize

bool RDKit::v2::CDXMLParser::CDXMLParserParams::sanitize = true

Definition at line 34 of file CDXMLParser.h.

Referenced by CDXMLParserParams().

The documentation for this struct was generated from the following file:

- CDXMLParser.h